Index: npl/system/libnftnl/libnftnl.SlackBuild.orig
===================================================================
--- npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 
-# Copyright 2014  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2014, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
 # All rights reserved.
 #
@@ -21,9 +21,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
+
 PKGNAM=libnftnl
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.lz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
@@ -35,4 +37,12 @@
        *) export ARCH=$( uname -m ) ;;
   esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
 fi
 
@@ -51,5 +61,4 @@
 fi
 
-CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -60,5 +69,5 @@
 cd $TMP
 rm -rf $PKGNAM-$VERSION
-tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xf $CWD/$PKGNAM-$VERSION.tar.lz || exit 1
 cd $PKGNAM-$VERSION || exit 1
 
@@ -106,5 +115,5 @@
 
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING* $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING*  $PKG/usr/doc/$PKGNAM-$VERSION
 
 mkdir -p $PKG/install
Index: npl/system/libnftnl/libnftnl.build
===================================================================
--- npl/system/libnftnl/libnftnl.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.build	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libnftnl/libnftnl.md5
===================================================================
--- npl/system/libnftnl/libnftnl.md5	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.md5	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,7 +1,7 @@
-d95e984e65ab0b45f71830a2ec9e1675  ./libnftnl-1.0.7.tar.xz
-b0d81e72a4b5c6d787a20dcbaf23179e  ./libnftnl_dev.pkg
-ec2fd4da0ae98351de61df860c2a118b  ./libnftnl.pkg
+bb81f70148a3982ccee6345f259f0403  ./libnftnl-1.1.2.tar.lz
+18833c3dcd598b0bd6f1a3d9e2b8db5b  ./libnftnl_dev.pkg
+83cf86e4920063e87faaf5edd9428bba  ./libnftnl.pkg
 c3c2e73959a125edbae05fd59f746183  ./libnftnl.SlackBuild
-6d1ea102cc14361753baaf1f8d63c1c4  ./libnftnl.SlackBuild.log.gz
-3ee5194e2eb86ab8e794271145775e9f  ./libnftnl.SlackBuild.orig
+9a01ed8aa7759102942cebd40b0ae3e9  ./libnftnl.SlackBuild.log.gz
+1dcce5f1c22bb69bbd6eac955513afc7  ./libnftnl.SlackBuild.orig
 c6acafc91edd7af90543a7d0ff4c48d0  ./slack-desc
Index: npl/system/libnftnl/libnftnl.version
===================================================================
--- npl/system/libnftnl/libnftnl.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl.version	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,1 +1,1 @@
-1.0.7
+1.1.2
Index: npl/system/libnftnl/libnftnl_dev.build
===================================================================
--- npl/system/libnftnl/libnftnl_dev.build	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl_dev.build	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libnftnl/libnftnl_dev.version
===================================================================
--- npl/system/libnftnl/libnftnl_dev.version	(revision 6a553550e318eb9df85701777970ebed17effe30)
+++ npl/system/libnftnl/libnftnl_dev.version	(revision 94a6f3795d5522928aebd7eb4827ffa79aef1883)
@@ -1,1 +1,1 @@
-1.0.7
+1.1.2
